Bug 20721 - Kickstart scripts ignore empty lines
Summary: Kickstart scripts ignore empty lines
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-12 14:02 UTC by Jos Vos
Modified: 2007-04-18 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-08 19:43:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jos Vos 2000-11-12 14:02:09 UTC
Empty lines in the ks.cfg scripts, at least in the %pre script, seem to be
discarded.  This is a problem, at least when making commands with
here-documents. As a workaround I now generate the command input with an
echo command.

Comment 1 Michael Fulbright 2000-11-13 19:20:27 UTC
Could you attach an example of a script that fails?

Comment 2 Fabian Kroenner 2000-11-20 15:27:43 UTC
I tried something like the following in %post, and it didn't work for me.

cd /etc/X11
patch <<EOF
--- XF86Config-4.orig   Mon Nov 20 16:26:52 2000
+++ XF86Config-4        Fri Nov 10 18:06:56 2000
@@ -60,10 +60,10 @@
        Identifier "Screen0"
        Device "ATI|3D Rage IIC AGP"
        Monitor "CustomConfiguration"
-       DefaultDepth 8
+       DefaultDepth 16
        Subsection "Display"
-               Depth 8
-               Modes "640x480"
+               Depth 16
+               Modes "1280x960"
        EndSubSection
 EndSection
EOF

Comment 3 Michael Fulbright 2000-12-27 17:24:42 UTC
Assigning to a developer.

Comment 4 Erik Troan 2001-01-08 19:43:35 UTC
Fixed for next release.

Comment 5 Brock Organ 2001-01-11 14:24:15 UTC
verified fix in qa0110.0 test tree ...


Note You need to log in before you can comment on or make changes to this bug.